
// ABTest配置表
#[primary=name,db=logfile,dbMonitor=true]
struct ABTestCfg1DB {
    name: String,         // 组名
    #[default={}]
    cfg:Json,    // 新增配置是否影响旧用户
}



// ABTest版本管理表
#[primary=key,db=logfile,dbMonitor=true]
struct ABTestTagVersion1DB {
    key: String,   // 固定值 version
    version:u32,      // 版本,每次清除tags的时候版本号递增
}


// ABTest表
#[primary=key,db=logfile,dbMonitor=true]
struct ABTest1DB {
    key: String,         // uid|rid
    tagVersion:u32,        // 标签版本
    #[default=new Map()]
    value: HashMap<String, String>,        // Map<abTest_name,tag>
}


struct CreateTagsParam {
    rid:String,
    channel:String,
    os:String
}



struct RpcResult {
    errCode: usize,
    msg: String,
}
