import { IAbTestCfg } from './interface';
import { ABTestCfg1DB } from './server/ab_test_table.struct';


declare var env;


export const queryAbTestCfgFromDb: Promise<IAbTestCfg[]> = async () => {
    console.log("============ queryAbTestCfgFromDb")
    const tabName = ABTestCfg1DB._$info.name;
    const cfgs = [];
    await env.dbMgr.read(async tr => {
        let it = tr.kvList('logfile', tabName, null, false, "");
        for await (let elem of it) {
            cfgs.push(elem[1].cfg);
        }
        return cfgs;
    });
    console.log("=========== ", cfgs);
    return cfgs;
}
