export interface IAbTestCfg {
    name: string;                // 组名
    affectOldUser: boolean;      // 新增配置是否影响旧用户
    createStartTime: string;     // 创建tag的开始时间,形如2024-01-08 00:00:00
    createEndTime: string;       // 创建tag的结束时间,形如2024-01-08 00:00:00
    effectStartTime: string;     // tag生效的开始时间,形如2024-01-08 00:00:00
    effectEndTime: string;       // tag生效的结束时间,形如2024-01-08 00:00:00
    os: string[];                // 系统
    channel: string[];           // 渠道
    groups: IAbTestGroup[];      // 组别
    fixedTag?: string;            // 固定tag,用于ab测试完成后选中一个tag
}


interface IAbTestGroup {
    tag: string;      // 标签
    percent: number;      // 百分比
}